Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class SelectionChoiceHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.SelectionChoiceHandle

    public class SelectionChoiceHandle

extends StructureHandle

Represents the handle of selection choice. The selection choice is the value and label pair for parameter.

Value
  the data value for this choice. The value string is interpreted base on the parameter data type.
Label
  a optional label to display for this value.
Label Resource Key
  a optional label resource key when localiztion is needed.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`SelectionChoiceHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of selection choice.

Method Summary
`java.lang.String` | `getLabel()` Returns the label.
`java.lang.String` | `getLabelKey()` Returns the resource key if label needs localization.
`java.lang.String` | `getValue()` Returns the data value for this choice.
`void` | `setLabel(java.lang.String label)` Sets the label.
`void` | `setLabelKey(java.lang.String labelResourceKey)` Sets the resource key if label needs localization.
`void` | `setValue(java.lang.String value)` Sets the data value for this choice.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionChoiceHandle

    public SelectionChoiceHandle(SimpleValueHandle valueHandle,
                                 int index)

  Constructs the handle of selection choice.

  Parameters:
    `valueHandle` - the value handle for selection choice list of one property
    `index` - the position of this selection choice in the list

Method Detail

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Returns:
    the label

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - the label to set

### getLabelKey

    public java.lang.String getLabelKey()

  Returns the resource key if label needs localization.

  Returns:
    the resource key of label.

### setLabelKey

    public void setLabelKey(java.lang.String labelResourceKey)

  Sets the resource key if label needs localization.

  Parameters:
    `labelResourceKey` - the resource key to set

### getValue

    public java.lang.String getValue()

  Returns the data value for this choice.

  Returns:
    the data value for this choice

### setValue

    public void setValue(java.lang.String value)
                  throws SemanticException

  Sets the data value for this choice.

  Parameters:
    `value` - the value to set
  Throws:
    `SemanticException` - value required exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.